class Termek {
    constructor(nev, ar, darabszam) {
        this.nev = nev
        this.ar = ar
        this.darabszam = darabszam
    }

    toSzoveg() {
        return `${this.nev}, ${this.ar}, ${this.darabszam}`
    }
}

class Raktar {
    static termekLista = []

    static termekHozzaad(ujTermek) {
        Raktar.termekLista.push(ujTermek)
    }

    static termekTorles(nev) {
        Raktar.termekLista.forEach(element => {
            if (element.nev.toLowerCase() == nev.toLowerCase()) {
                Raktar.termekLista.splice(element, 1)
            }
        })
    }

    static termekKeres(nev) {
        Raktar.termekLista.forEach(element => {
            if (element.nev.toLowerCase() == nev.toLowerCase()) {
                console.log(element);
            }
        })
    }

    static osszesTermekListaz() {
        console.log(Raktar.termekLista);
    }
}

termek1 = new Termek("Monitor", "85.000 Ft", 100)
termek2 = new Termek("Billentyűzet", "10.000 Ft", 20)

Raktar.termekHozzaad(termek1)
Raktar.termekHozzaad(termek2)


Raktar.termekKeres("Monitor")
Raktar.osszesTermekListaz()
Raktar.termekTorles("Billentyűzet")
Raktar.osszesTermekListaz()